Issue with Print widget in 4.20

465
6
Jump to solution
07-07-2021 05:35 AM
MatthieuThery1
Occasional Contributor

Hi,

Since 4.20 we are having issues printing with our own Print Service, via the Print widget. We're getting an error when hovering over the exported files section "An error occured while exporting the webmap.". 

I have tested the widget with the ESRI Print Service and it does work. The only difference I can see, is our service is asynchronous.

I assume this is linked to the changes related to the rest modules? 

 

edit: More info

stack error: "TypeError: Cannot destructure property 'returnFeatureCollection' of 's' as it is null. at p.fetchResultData (http://localhost:8080/js/33.js:211:1559) at o (http://localhost:8080/js/46.js:39:926) at async print (http://localhost:8080/js/84.js:156:1933)"

ps: we changed our service to synchronous, and it works again. (but we'd like a fix for the async method...)

Tags (3)
1 Solution

Accepted Solutions
ReneRubalcava
Frequent Contributor II

This will be fixed on the CDN in a day or two. My bad.

View solution in original post

0 Kudos
6 Replies
ReneRubalcava
Frequent Contributor II

This will be fixed on the CDN in a day or two. My bad.

0 Kudos
StephenSontag2
New Contributor

What version was this fixed in? https://www.npmjs.com/package/@arcgis/core

I'm getting the same error.

0 Kudos
ReneRubalcava
Frequent Contributor II

This was fixed at 4.21

0 Kudos
StephenSontag55
New Contributor II

Thanks.  I know this is a big ask but is there a way to get that fix in 4.20?  Starting in 4.21, layers are requested on the map regardless of layer visibility and it's killing our performance.  We were hoping not to have to change our layer visibility toggle.

0 Kudos
ReneRubalcava
Frequent Contributor II

Sorry, we don't patch released versions (beyond browser security fixes). If you are seeing an issue with layer requests, you can submit it to support for better tracking and it will make its way to the devs.

0 Kudos
StephenSontag55
New Contributor II

Thanks, it actually looks like 4.20.2 is fixed in the arcgis/core lib.